v.lrs.label(1)

NAME
v.lrs.label - Create stationing from input lines, and linear reference system

KEYWORDS
vector, LRS, networking

SYNOPSIS
v.lrs.label
v.lrs.label help
v.lrs.label input=name output=name [llayer=integer] rstable=string [labels=string] [offset=string[,string,...]] [xoffset=float] [yoffset=float] [reference=string] [font=string] [size=integer] [color=string] [width=integer] [hcolor=string] [hwidth=integer] [background=string] [border=string] [opaque=string] [--overwrite]

  Flags:

--overwrite

  Parameters:

input=name
    Input map containing lines

output=name
    Output map where stationing will be written

llayer=integer
    Line layer Default: 1

rstable=string
    Name of the reference system table

labels=string
    Label file

offset=string[,string,...]
    PM left, MP right, stationing left, stationing right offset Default: 50,100,25,25

xoffset=float
    Offset label in label x-direction in map units Default: 25

yoffset=float
    Offset label in label y-direction in map units Default: 5

reference=string
    Reference position Options: center,left,right,upper,lower Default: center

font=string
    Font Default: standard

size=integer
    Label size (in map-units) Options: 1-1000 Default: 100

color=string
    Text color Options: aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow Default: black

width=integer
    Line width of text (only for p.map output) Options: 1-100 Default: 1

hcolor=string
    Highlight color for text (only for p.map output) Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow Default: none

hwidth=integer
    Line width of highlight color (only for p.map output) Options: 0-100 Default: 0

background=string
    Background color Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow Default: none

border=string
    Border color Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow Default: none

opaque=string
    Opaque to vector (only relevant if background color is selected) Options: yes,no Default: yes

DESCRIPTION
v.lrs.label generates LRS labels.

SEE ALSO
LRS tutorial,
Introducing the Linear Reference System in GRASS,
v.lrs.create, v.lrs.segment, v.lrs.where

AUTHOR
Radim Blazek

Last changed: $Date: 2006/05/11 19:49:27 $

Full index